Debian Bug report logs - #586539
gdm on initial start at kfreebsd bootup does not allow keyboard input

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sun, 20 Jun 2010 12:33:02 UTC

Severity: important

Found in version gdm/2.20.10-3

Fixed in version 2.20.11-4+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Sun, 20 Jun 2010 12:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 20 Jun 2010 12:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: gdm on initial start at kfreebsd bootup does not allow keyboard input
Date: Sun, 20 Jun 2010 13:29:53 +0100
[Message part 1 (text/plain, inline)]
Package: gdm
Version: 2.20.10-3
Severity: important

In kfreebsd-i386[1] on boot gdm does not accept keyboard input. That is,
it will not allow anything to be typed into the Username box or allow
switching to another virtual console. The mouse still works.

A work around is to choose Action->"Run XDMCP chooser". This causes X to
restart and the keyboard input now works. Click Cancel, this returns to
gdm which now accepts keyboard input.

* kdm on kfreebsd-i386[1] also has this issue.
* gdm and kdm on i386[1] do not have this issue.
* xdm on kfreebsd-i386[1] and i386[1] does not have this issue.

An email to the debian-bsd list caused me to investigate this:
http://lists.debian.org/debian-bsd/2010/06/msg00027.html

Regards,
Mike.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.3-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gdm depends on:
ii  adduser                     3.112        add and remove users and groups
ii  debconf [debconf-2.0]       1.5.32       Debian configuration
management sy
ii  gksu                        2.0.2-3      graphical frontend to su
ii  libart-2.0-2                2.3.21-1     Library of functions for 2D
graphi
ii  libatk1.0-0                 1.30.0-1     The ATK accessibility toolkit
ii  libc0.1                     2.11.1-3     Embedded GNU C Library:
Shared lib
ii  libcairo2                   1.8.10-4     The Cairo 2D vector
graphics libra
ii  libdbus-1-3                 1.2.24-1     simple interprocess
messaging syst
ii  libdbus-glib-1-2            0.86-1       simple interprocess
messaging syst
ii  libdmx1                     1:1.1.0-2    X11 Distributed Multihead
extensio
ii  libfontconfig1              2.8.0-2.1    generic font configuration
library
ii  libfreetype6                2.3.11-1     FreeType 2 font engine,
shared lib
ii  libglade2-0                 1:2.6.4-1    library to load .glade
files at ru
ii  libglib2.0-0                2.24.1-1     The GLib library of C routines
ii  libgnomecanvas2-0           2.30.1-1     A powerful object-oriented
display
ii  libgtk2.0-0                 2.20.1-1     The GTK+ graphical user
interface
ii  libpam-modules              1.1.1-3      Pluggable Authentication
Modules f
ii  libpam-runtime              1.1.1-3      Runtime support for the PAM
librar
ii  libpam0g                    1.1.1-3      Pluggable Authentication
Modules l
ii  libpango1.0-0               1.28.0-1     Layout and rendering of
internatio
ii  librsvg2-2                  2.26.3-1     SAX-based renderer library
for SVG
ii  librsvg2-common             2.26.3-1     SAX-based renderer library
for SVG
ii  libwrap0                    7.6.q-19     Wietse Venema's TCP
wrappers libra
ii  libx11-6                    2:1.3.3-3    X11 client-side library
ii  libxau6                     1:1.0.5-2    X11 authorisation library
ii  libxdmcp6                   1:1.0.3-2    X11 Display Manager Control
Protoc
ii  libxext6                    2:1.1.1-3    X11 miscellaneous extension
librar
ii  libxi6                      2:1.3-4      X11 Input extension library
ii  libxinerama1                2:1.1-3      X11 Xinerama extension library
ii  libxml2                     2.7.7.dfsg-2 GNOME XML library
ii  lsb-base                    3.2-23.1     Linux Standard Base 3.2
init scrip
ii  xfce4-session [x-session-ma 4.6.2-1      Xfce4 Session Manager
ii  xfce4-terminal [x-terminal- 0.4.5-1      Xfce terminal emulator
ii  xfwm4 [x-window-manager]    4.6.2-1      window manager of the Xfce
project
ii  xterm [x-terminal-emulator] 259-1        X terminal emulator

Versions of packages gdm recommends:
ii  gdm-themes                    0.6.2      Themes for the GNOME
Display Manag
ii  whiptail                      0.52.10-8  Displays user-friendly
dialog boxe
ii  xserver-xephyr                2:1.7.7-2  nested X server
ii  xserver-xorg                  1:7.5+6    the X.Org X server
ii  zenity                        2.30.0-1   Display graphical dialog
boxes fro

Versions of packages gdm suggests:
ii  libpam-gnome-keyring          2.30.1-2   PAM module to unlock the
GNOME key
ii  locales                       2.11.1-3   Embedded GNU C Library:
National L
pn  pm-utils                      <none>     (no description available)

-- debconf information:
  gdm/daemon_name: /usr/sbin/gdm
* shared/default-x-display-manager: gdm

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Sat, 26 Jun 2010 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 26 Jun 2010 12:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 586539@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: 586539@bugs.debian.org
Cc: Michael Dorrington <michael.dorrington@gmail.com>, debian-bsd <debian-bsd@lists.debian.org>
Subject: gdm problem fixed
Date: Sat, 26 Jun 2010 14:45:27 +0200
Hi,
This patch solved the problem for me:

--- gdm-2.20.10/daemon/getvt.h  2009-03-19 00:59:27.000000000 -0400
+++ gdm-2.20.10.fixed/daemon/getvt.h    2010-06-26 07:57:32.000000000 -0400
@@ -27,7 +27,7 @@
 #endif
 #endif

-#if defined (__FreeBSD__) || defined (__DragonFly__)
+#if defined (__FreeBSD__) || defined (__FreeBSD_kernel__) || defined
(__DragonFly__)
 #define GDM_USE_CONSIO_VT
 #endif




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Sat, 26 Jun 2010 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 26 Jun 2010 23:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 586539@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 586539@bugs.debian.org
Cc: Tuco <tuco.xyz@gmail.com>, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: gdm problem fixed
Date: Sat, 26 Jun 2010 23:59:10 +0100
[Message part 1 (text/plain, inline)]
Tags: patch

This patch doesn't fix it for me. With or without the patch gdm does not
accept keyboard input on boot about half the time.

Investigating further I noticed that:

* When gdm does allow keyboard input on boot you can see it running on
vt2 (ttyv1) (the vt you get from Ctrl-Alt-F2) and not, as expected, vt7
(ttyv8 ?) (the vt you get from Ctrl-Alt-F7).

* When gdm doesn't allow keyboard input on boot then when you do the
Action->"Run XDMCP chooser" trick this starts XDMCP chooser on vt7 and
if you switch to vt2 it is blank until you press Enter and then the
login Password prompt appears. Perhaps in this case getty on vt2 has
been messed up by gdm running on vt2?

Could there be a race condition on boot between getty on vt2 and gdm on vt2?

To test this I disabled getty starting on vt2 (ttyv1 in kfreebsd) in
/etc/inittab and now gdm accepts keyboard input on every boot. So this
suggests the problem lies with gdm starting on vt2 when it should be
starting on vt7.

Note that xdm works every boot on kFreeBSD and runs in vt7.

Regards,
Mike.

Tuco wrote:
> Hi,
> This patch solved the problem for me:
> 
> --- gdm-2.20.10/daemon/getvt.h  2009-03-19 00:59:27.000000000 -0400
> +++ gdm-2.20.10.fixed/daemon/getvt.h    2010-06-26 07:57:32.000000000 -0400
> @@ -27,7 +27,7 @@
>  #endif
>  #endif
> 
> -#if defined (__FreeBSD__) || defined (__DragonFly__)
> +#if defined (__FreeBSD__) || defined (__FreeBSD_kernel__) || defined
> (__DragonFly__)
>  #define GDM_USE_CONSIO_VT
>  #endif

[kfreebsd_consio_vt.patch (text/x-patch, inline)]
Define GDM_USE_CONSIO_VT on kFreeBSD.
Index: gdm-2.20.10/daemon/getvt.h
===================================================================
--- gdm-2.20.10.orig/daemon/getvt.h	2010-06-26 21:25:47.000000000 +0100
+++ gdm-2.20.10/daemon/getvt.h	2010-06-26 21:26:39.000000000 +0100
@@ -27,7 +27,7 @@
 #endif
 #endif
 
-#if defined (__FreeBSD__) || defined (__DragonFly__)
+#if defined (__FreeBSD__) || defined (__FreeBSD_kernel__) || defined (__DragonFly__)
 #define GDM_USE_CONSIO_VT
 #endif
 
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Sun, 27 Jun 2010 08:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to 586539@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 08:54:09 GMT) Full text and rfc822 format available.

Message #20 received at 586539@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 586539@bugs.debian.org
Cc: Tuco <tuco.xyz@gmail.com>, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#586539: gdm problem fixed
Date: Sun, 27 Jun 2010 10:52:21 +0200
[Message part 1 (text/plain, inline)]
Le samedi 26 juin 2010 à 23:59 +0100, Michael Dorrington a écrit :
> * When gdm does allow keyboard input on boot you can see it running on
> vt2 (ttyv1) (the vt you get from Ctrl-Alt-F2) and not, as expected, vt7
> (ttyv8 ?) (the vt you get from Ctrl-Alt-F7).
> 
> * When gdm doesn't allow keyboard input on boot then when you do the
> Action->"Run XDMCP chooser" trick this starts XDMCP chooser on vt7 and
> if you switch to vt2 it is blank until you press Enter and then the
> login Password prompt appears. Perhaps in this case getty on vt2 has
> been messed up by gdm running on vt2?
> 
> Could there be a race condition on boot between getty on vt2 and gdm on vt2?
> 
> To test this I disabled getty starting on vt2 (ttyv1 in kfreebsd) in
> /etc/inittab and now gdm accepts keyboard input on every boot. So this
> suggests the problem lies with gdm starting on vt2 when it should be
> starting on vt7.
> 
> Note that xdm works every boot on kFreeBSD and runs in vt7.

The TTY manager for gdm doesn’t work on kFreeBSD, so I’m not surprised.

We tried to take kFreeBSD into account when porting the TTY manager to
gdm3, so I’d appreciate if you could test this package instead - this is
the default for squeeze installations now. We are not going to introduce
many things in gdm 2.20 from now.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Sun, 27 Jun 2010 10:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 10:45:05 GMT) Full text and rfc822 format available.

Message #25 received at 586539@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 586539@bugs.debian.org
Cc: Tuco <tuco.xyz@gmail.com>, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#586539: gdm problem fixed
Date: Sun, 27 Jun 2010 11:41:02 +0100
[Message part 1 (text/plain, inline)]
Josselin Mouette wrote:
[snip]
> The TTY manager for gdm doesn’t work on kFreeBSD, so I’m not surprised.
> 
> We tried to take kFreeBSD into account when porting the TTY manager to
> gdm3, so I’d appreciate if you could test this package instead - this is
> the default for squeeze installations now. We are not going to introduce
> many things in gdm 2.20 from now.
> 
> Cheers,

I've installed gdm3. Good news is that it is using vt7 (and higher), the
bad news is that it just displays a black screen with the X shaped X
cursor. If I try to change to a console VT then this appears to trigger
a new X session to start and this is displayed rather than the console
VT. This new X session is also black with the X shaped X cursor. This
keeps happening until eventually I can switch to a console VT.

ps:
root       849  1.3  1.6  16412 12996 ?        S    11:04   0:07
/usr/bin/Xorg :5 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-lodJF4/database -nolisten tcp vt12
root       815  1.2  1.6  16412 12996 ?        S    11:03   0:07
/usr/bin/Xorg :3 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-ZCfnFl/database -nolisten tcp vt10
root       798  0.9  1.6  16412 12996 ?        S    11:03   0:06
/usr/bin/Xorg :2 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-rnRVAb/database -nolisten tcp vt9
root       743  0.8  1.6  16412 12996 ?        S    11:00   0:06
/usr/bin/Xorg :1 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-xulnbF/database -nolisten tcp vt8
root       391  0.8  1.6  16412 12764 ?        S    11:00   0:06
/usr/bin/Xorg :0 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-hSszzu/database -nolisten tcp vt7

/var/log/daemon.log:
Jun 27 11:03:04 debian-kfreebsd-i386 gdm3[372]: WARNING: GdmDisplay:
display lasted 0.315563 seconds
Jun 27 11:03:42 debian-kfreebsd-i386 gdm3[372]: WARNING: GdmDisplay:
display lasted 0.157042 seconds
Jun 27 11:04:07 debian-kfreebsd-i386 gdm3[372]: WARNING: GdmDisplay:
display lasted 0.392899 seconds
Jun 27 11:04:19 debian-kfreebsd-i386 gdm3[372]: WARNING: GdmDisplay:
display lasted 0.092757 seconds
Jun 27 11:04:24 debian-kfreebsd-i386 gdm3[372]: WARNING: GdmDisplay:
display lasted 0.301727 seconds
Jun 27 11:04:24 debian-kfreebsd-i386 gdm3[372]: WARNING:
GdmLocalDisplayFactory: maximum number of X display failures reached:
check X server log for errors

Do you want me to raise a bug report for gdm3?

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Sun, 27 Jun 2010 19:54:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to 586539@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 19:54:24 GMT) Full text and rfc822 format available.

Message #30 received at 586539@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 586539@bugs.debian.org
Subject: Re: Bug#586539: gdm problem fixed
Date: Sun, 27 Jun 2010 21:53:11 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 27 juin 2010 à 11:41 +0100, Michael Dorrington a écrit :
> I've installed gdm3. Good news is that it is using vt7 (and higher), the
> bad news is that it just displays a black screen with the X shaped X
> cursor. If I try to change to a console VT then this appears to trigger
> a new X session to start and this is displayed rather than the console
> VT. This new X session is also black with the X shaped X cursor. This
> keeps happening until eventually I can switch to a console VT.

> /var/log/daemon.log:
> Jun 27 11:03:04 debian-kfreebsd-i386 gdm3[372]: WARNING: GdmDisplay:
> display lasted 0.315563 seconds

This is X crashing repeatedly. You should find more information in the X
logs.

> Do you want me to raise a bug report for gdm3?

Yes, anyway this is either related to X or to gdm3, but not to gdm :)

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Tue, 10 Aug 2010 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 10 Aug 2010 20:54:03 GMT) Full text and rfc822 format available.

Message #35 received at 586539@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 586539@bugs.debian.org
Subject: Re: Bug#586539: gdm problem fixed
Date: Tue, 10 Aug 2010 21:50:54 +0100
[Message part 1 (text/plain, inline)]
Josselin Mouette wrote:
> Yes, anyway this is either related to X or to gdm3, but not to gdm :)

Reported bug against gdm3.

http://bugs.debian.org/592549
gdm3 on {re,}start on kfreebsd displays only a black screen with an X cursor

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Mon, 15 Nov 2010 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 15 Nov 2010 12:24:03 GMT) Full text and rfc822 format available.

Message #40 received at 586539@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 586539@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: gdm and GNU/kFreeBSD
Date: Mon, 15 Nov 2010 13:20:32 +0100
Hi,

Given that:
  - gdm3 is now in a working state for Debian GNU/kFreeBSD
  - gdm isn't
  - gdm3 is now the default
  - gdm is an older version which will eventually be obsoleted
  - there's a reasonable/justified lack of interest in debugging it

I'd recommend removing kfreebsd-{i386,amd64} gdm binaries
from testing and then forgetting about this problem.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Mon, 15 Nov 2010 16:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 15 Nov 2010 16:00:13 GMT) Full text and rfc822 format available.

Message #45 received at 586539@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: Robert Millan <rmh@debian.org>, 586539@bugs.debian.org, debian-bsd@lists.debian.org, debian-release <debian-release@lists.debian.org>
Subject: Re: Bug#586539: gdm and GNU/kFreeBSD
Date: Mon, 15 Nov 2010 16:58:43 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov 15, 2010 at 16:51:37 +0100, Josselin Mouette wrote:

> Le lundi 15 novembre 2010 à 13:20 +0100, Robert Millan a écrit : 
> > Given that:
> >   - gdm3 is now in a working state for Debian GNU/kFreeBSD
> >   - gdm isn't
> >   - gdm3 is now the default
> >   - gdm is an older version which will eventually be obsoleted
> >   - there's a reasonable/justified lack of interest in debugging it
> > 
> > I'd recommend removing kfreebsd-{i386,amd64} gdm binaries
> > from testing and then forgetting about this problem.
> 
> Sounds fair. Dear RMs, what’s the best way to achieve that?
> 
- File a bug against ftp.debian.org.
- Patch the gdm package to not build on kfreebsd.
- Get it added to P-a-s.
- ...
- Profit.

(the first three steps in no particular order)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Mon, 15 Nov 2010 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 15 Nov 2010 16:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 586539@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Josselin Mouette" <joss@debian.org>
Cc: "Robert Millan" <rmh@debian.org>, 586539@bugs.debian.org, debian-bsd@lists.debian.org, "debian-release" <debian-release@lists.debian.org>
Subject: Re: Bug#586539: gdm and GNU/kFreeBSD
Date: Mon, 15 Nov 2010 16:16:12 -0000
On Mon, November 15, 2010 15:58, Julien Cristau wrote:
> On Mon, Nov 15, 2010 at 16:51:37 +0100, Josselin Mouette wrote:
>
>> Le lundi 15 novembre 2010 à 13:20 +0100, Robert Millan a écrit :
> > I'd recommend removing kfreebsd-{i386,amd64} gdm binaries
> > from testing and then forgetting about this problem.
>
>> Sounds fair. Dear RMs, what's the best way to achieve that?
>>
> - File a bug against ftp.debian.org.

Requesting the removal of the binaries _from unstable_ (in case there was
any doubt).

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Mon, 15 Nov 2010 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 15 Nov 2010 16:21:05 GMT) Full text and rfc822 format available.

Message #55 received at 586539@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Robert Millan <rmh@debian.org>, 586539@bugs.debian.org
Cc: debian-bsd@lists.debian.org, debian-release <debian-release@lists.debian.org>
Subject: Re: Bug#586539: gdm and GNU/kFreeBSD
Date: Mon, 15 Nov 2010 16:51:37 +0100
[Message part 1 (text/plain, inline)]
Le lundi 15 novembre 2010 à 13:20 +0100, Robert Millan a écrit : 
> Given that:
>   - gdm3 is now in a working state for Debian GNU/kFreeBSD
>   - gdm isn't
>   - gdm3 is now the default
>   - gdm is an older version which will eventually be obsoleted
>   - there's a reasonable/justified lack of interest in debugging it
> 
> I'd recommend removing kfreebsd-{i386,amd64} gdm binaries
> from testing and then forgetting about this problem.

Sounds fair. Dear RMs, what’s the best way to achieve that?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586539; Package gdm. (Mon, 15 Nov 2010 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 15 Nov 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #60 received at 586539@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: debian-bsd@lists.debian.org
Cc: 586539@bugs.debian.org
Subject: Re: gdm and GNU/kFreeBSD
Date: Mon, 15 Nov 2010 19:09:42 +0100
Robert Millan wrote:
> Given that:
>   - gdm3 is now in a working state for Debian GNU/kFreeBSD
>   - gdm isn't

Just wondering, what you consider a "working state".

With the exception of http://bugs.debian.org/586539, gdm works fine
here on kfreebsd-i386. And that bug is very probably no gdm-specific
issue as it happens with kdm as well, see
http://bugs.debian.org/586540 (reported together with 586539).

I don't see any other kfreebsd-specific bug-report on
http://bugs.debian.org/gdm nor do I have any other issues with gdm on
kfreebsd.

> I'd recommend removing kfreebsd-{i386,amd64} gdm binaries
> from testing and then forgetting about this problem.

Since we still have to fix the same issue for kdm anyway, I think it's
a bad idea to take #586539 as a reason to remove gdm from kfreebsd.

If we can fix it for kdm, but the fix doesn't fix gdm, too, or can't
be applied to gdm, too, _then_ we can talk about removal, but IMHO not
now. Or we should talk about the removal of kdm, too. But there's no
(KDE-) alternative for that currently.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 19 Feb 2011 18:31:16 GMT) Full text and rfc822 format available.

Notification sent to Michael Dorrington <michael.dorrington@gmail.com>:
Bug acknowledged by developer. (Sat, 19 Feb 2011 18:31:17 GMT) Full text and rfc822 format available.

Message #65 received at 586539-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 111419-done@bugs.debian.org,229428-done@bugs.debian.org,233354-done@bugs.debian.org,234832-done@bugs.debian.org,242126-done@bugs.debian.org,258306-done@bugs.debian.org,261086-done@bugs.debian.org,261150-done@bugs.debian.org,270374-done@bugs.debian.org,274032-done@bugs.debian.org,274488-done@bugs.debian.org,285068-done@bugs.debian.org,289020-done@bugs.debian.org,290279-done@bugs.debian.org,314746-done@bugs.debian.org,351724-done@bugs.debian.org,352839-done@bugs.debian.org,357151-done@bugs.debian.org,358272-done@bugs.debian.org,369901-done@bugs.debian.org,372108-done@bugs.debian.org,373732-done@bugs.debian.org,397327-done@bugs.debian.org,401997-done@bugs.debian.org,409649-done@bugs.debian.org,416590-done@bugs.debian.org,427716-done@bugs.debian.org,428831-done@bugs.debian.org,431022-done@bugs.debian.org,442148-done@bugs.debian.org,448136-done@bugs.debian.org,449213-done@bugs.debian.org,450811-done@bugs.debian.org,458141-done@bugs.debian.org,469849-done@bugs.debian.org,471508-done@bugs.debian.org,471509-done@bugs.debian.org,473368-done@bugs.debian.org,474657-done@bugs.debian.org,479815-done@bugs.debian.org,484268-done@bugs.debian.org,484310-done@bugs.debian.org,489337-done@bugs.debian.org,498395-done@bugs.debian.org,500229-done@bugs.debian.org,501040-done@bugs.debian.org,503141-done@bugs.debian.org,504428-done@bugs.debian.org,508791-done@bugs.debian.org,510632-done@bugs.debian.org,511285-done@bugs.debian.org,513067-done@bugs.debian.org,513479-done@bugs.debian.org,515966-done@bugs.debian.org,516531-done@bugs.debian.org,517890-done@bugs.debian.org,520467-done@bugs.debian.org,524001-done@bugs.debian.org,524002-done@bugs.debian.org,524013-done@bugs.debian.org,526315-done@bugs.debian.org,527084-done@bugs.debian.org,529394-done@bugs.debian.org,533166-done@bugs.debian.org,536332-done@bugs.debian.org,536531-done@bugs.debian.org,538169-done@bugs.debian.org,539367-done@bugs.debian.org,542099-done@bugs.debian.org,542936-done@bugs.debian.org,544299-done@bugs.debian.org,547621-done@bugs.debian.org,554482-done@bugs.debian.org,555618-done@bugs.debian.org,558907-done@bugs.debian.org,559256-done@bugs.debian.org,560968-done@bugs.debian.org,563238-done@bugs.debian.org,563750-done@bugs.debian.org,564071-done@bugs.debian.org,565501-done@bugs.debian.org,568822-done@bugs.debian.org,569112-done@bugs.debian.org,569142-done@bugs.debian.org,571808-done@bugs.debian.org,574047-done@bugs.debian.org,575008-done@bugs.debian.org,577240-done@bugs.debian.org,583498-done@bugs.debian.org,586007-done@bugs.debian.org,586362-done@bugs.debian.org,586539-done@bugs.debian.org,587664-done@bugs.debian.org,588848-done@bugs.debian.org,590181-done@bugs.debian.org,590437-done@bugs.debian.org,595199-done@bugs.debian.org,595797-done@bugs.debian.org,598701-done@bugs.debian.org,605108-done@bugs.debian.org,605658-done@bugs.debian.org,606986-done@bugs.debian.org,610828-done@bugs.debian.org,612299-done@bugs.debian.org,
Cc: gdm@packages.debian.org, gdm@packages.qa.debian.org
Subject: Bug#613491: Removed package(s) from unstable
Date: Sat, 19 Feb 2011 18:09:22 +0000
Version: 2.20.11-4+rm

Dear submitter,

as the package gdm has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/613491

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Aug 2011 07:36:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:49:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.